//
//  Demographics.m
//  PatientViewer
//
//  Created by Grant Oladipo on 2/10/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Address.h"
#import "Demographics.h"
#import "NextOfKin.h"

@implementation Demographics


#pragma mark -
#pragma mark Custom Accessors
-(id)noPropertyValue {
	return nil;
}

-(Address *)address {
	return [self propertyValueForKey:DemographicsAddressKey];
}

-(NextOfKin *)nextOfKin {
	return [self propertyValueForKey:DemographicsNextOfKinKey];
}

-(NSString *)phoneNumberMobile {
	return [self propertyValueForKey:DemographicsPhoneNumberMobileKey];
}

-(NSString *)phoneNumberHome {
	return [self propertyValueForKey:DemographicsPhoneNumberHomeKey];
}

-(NSString *)phoneNumberWork {
	return [self propertyValueForKey:DemographicsPhoneNumberWorkKey];
}


#pragma mark -
#pragma mark Custom Actions
-(void)setAddress:(Address *)theAddress {
	[self setPropertyValue:theAddress forKey:DemographicsAddressKey];
}

-(void)setNextOfKin:(NextOfKin *)theNextOfKin {
	[self setPropertyValue:theNextOfKin forKey:DemographicsNextOfKinKey];
}

@end