//
//  LabResult.h
//  PatientViewer
//
//  Created by Grant Oladipo on 2/28/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Resource.h"

//Lab Result Constants
#define LabResultNormalValue	@"normal"

//Property Keys
#define LabResultAbnormalIndicatorTriFlagKey	@"abnormalIndicatorTriFlag"
#define LabResultAbnormalIndicatorFlagKey		@"abnormalIndicatorFlag"
#define LabResultIndicatorKey					@"indicator"
#define LabResultReferenceHighKey				@"referenceHigh"
#define LabResultReferenceLowKey				@"referenceLow"
#define LabResultResultedDateKey				@"resultedDate"
#define LabResultValueKey						@"value"
#define LabResultValueUnitKey					@"valueUnits"
#define LabResultTestNameKey                    @"testname"
#define LabResultSpecimenNameKey                @"specimenName"
#define LabResultDisplayNameKey                 @"displayName"

@interface LabResult : Resource {
    NSDateFormatter *dateFormatter;
    BOOL initialDateFormat;
    NSDate *formattedResultDate;
}

-(BOOL)abnormalIndicatorFlag;
-(NSString *)abnormalIndicatorTriFlag;
-(NSString *)indicator;
-(NSString *)referenceHigh;
-(NSString *)referenceLow;
-(NSDate *)resultedDate;
-(NSString *)value;
-(NSString *)valueUnits;
-(NSString *)testName;
-(NSString *)specimen;
-(NSString *)displayName;

@end