//
//  Person.h
//  iOSiCADLibrary
//
//  Created by Grant Oladipo on 12/14/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "Resource.h"

//Property keys
#define PatientAgeKey			@"age"
#define PatientDateOfBirthKey	@"dateOfBirth"
#define PatientDisplayNameKey	@"displayName"
#define PatientGenderKey		@"gender"
#define PatientSSNKey			@"ssn"
#define PatientInpatientStatus  @"inpatient"
#define PatientRoomKey          @"roombed"
#define PatientWardKey          @"wardLocation"

//Atom link keys
#define PatientAllergiesLinkKey					@"related/patient-allergies"
#define PatientDemographicsLinkKey				@"related/patient-demographics"
#define PatientDocumentsLinkKey					@"related/patient-documents"
#define PatientImageLinkKey						@"related/patient-image"
#define PatientInpatientMedicationLinkKey		@"related/patient-medications-inpatient"
#define PatientLabTestsLinkKey					@"related/patient-lab-tests"
#define PatientLabTestGroupsLinkKey             @"related/patient-lab-tests-by-group"
#define PatientMedicationLinkKey				@"related/patient-medications-active"
#define PatientOutpatientMedicationLinkKey		@"related/patient-medications-outpatient"
#define PatientAllMedicationLinkKey				@"related/patient-medications"
#define PatientProblemsLinkKey					@"related/patient-problems"
#define PatientMicrobiologyLabResultsKey        @"related/patient-lab-micro-tests"


@interface Patient : Resource {
}

-(NSString *)age;
-(NSString *)dateOfBirth;
-(NSString *)displayName;
-(NSString *)gender;
-(NSString *)ssn;
-(NSString *)status;
-(NSString *)roombed;
-(NSString *)ward;

@end