//  Resource.h
//	Patient Viewer
//
//  Created by Grant Oladipo on 12/23/10.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxx

@class Link;

#define ResourceSelfLinkKey	@"self"

@interface Resource : NSObject {
	
	NSMutableDictionary *properties;
	NSMutableDictionary *links;
}

-(id)initWithAttributeDictionary:(NSDictionary *)attributeDict;
-(id)refreshWithAttributeDictionary:(NSDictionary *)attributeDict;

-(NSMutableDictionary *)links;
-(void)addLink:(Link *)link;

-(id)propertyValueForKey:(NSString *)key;
-(void)removeAllProperties;
-(void)removeAllLinks;
-(void)setPropertyValue:(id)value forKey:(NSString *)key;

@end