//  CustomCategories.m
//  PatientViewer
//
//  Created by Grant Oladipo on 4/14/11.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxx

#import "CustomCategories.h"


#pragma UIColor
@implementation UIColor ( RawValues )

+(UIColor *)colorWithRawValuesForRed:(CGFloat)redValue green:(CGFloat)greenValue blue:(CGFloat)blueValue alpha:(CGFloat)alphaValue {
	
	return [UIColor colorWithRed:redValue/ColorDivisorConstant green:greenValue/ColorDivisorConstant blue:blueValue/ColorDivisorConstant alpha:alphaValue];
}

@end


#pragma UIView
@implementation UIView (SubviewManipulation)

-(void)removeAllSubviews {
	
	for (UIView *subview in [self subviews]) {
		[subview removeFromSuperview];
	}
}



@end


#pragma UIAlertView
@implementation UIAlertView ( Equal )

-(BOOL)isEqualToAlertView:(UIAlertView *)alertView {
	
	BOOL result = NO;
		
	if ([[alertView title] isEqualToString:[self title]] && [[alertView message] isEqualToString:[self message]]) {
		result = YES;
	}
	
	return result;
}

@end