//  DemographicsParser.h
//  PatientViewer
//
//  Created by Grant Oladipo on 5/4/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.

#import "DemographicsContainer.h"
#import "Parser.h"

@class Address;
@class Demographics;
@class Link;
@class NextOfKin;

@interface DemographicsParser : NSObject <Parser, NSXMLParserDelegate> {
	
	id<DemographicsContainer> delegate;
	NSXMLParser *xmlParser;
	
	Address *address;
	Demographics *demographics;
	Link *link;
	NextOfKin *nextOfKin;
	id parentElement;
}

@end