//
//  ImageParser.m
//  PatientViewer
//
//  Created by Grant Oladipo on 5/4/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "ImageParser.h"


@implementation ImageParser


#pragma mark - Custom Actions
-(void)parseData:(NSData *)data {
	[delegate addImage:[[[UIImage alloc] initWithData:data] autorelease]];
}


#pragma mark - Initialization
-(id)initWithDelegate:(id)theDelegate {
	
	self = [super init];
	
	if (self) {
		delegate = [theDelegate retain];
	}
	
	return self;
}


#pragma mark - Memory Management
-(void)dealloc {
	
	[delegate release], delegate = nil;
	
	[super dealloc];
}



@end
