/*
 *  LabPanelContainerDelegate.h
 *  MobileHealthiOSPlatformLibrary
 *
 *  Created by Grant Oladipo on 1/28/11.
 *  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxx
 *
 */

@class LabPanelContainer;

@protocol LabPanelContainerDelegate <NSObject>

@required

-(void)labPanelContainerWillAddLabTestGroup:(LabPanelContainer *)container;
-(void)labPanelContainerWillAddLabTestToGroup:(LabPanelContainer *)container;
-(void)labPanelContainer:(LabPanelContainer *)container didAddLabTestGroupAtIndex:(NSInteger)index;
-(void)labPanelContainer:(LabPanelContainer *)container didAddLabTestToGroupWithIndex:(NSInteger)index;
-(void)labPanelContainerFinishedLoadingLabTests:(LabPanelContainer *)container;

-(void)labPanelContainerWillAddLabResultGroup:(LabPanelContainer *)container;
-(void)labPanelContainerWillAddLabResultToGroup:(LabPanelContainer *)container;
-(void)labPanelContainer:(LabPanelContainer *)container didAddLabResultGroupAtIndex:(NSInteger)index;
-(void)labPanelContainer:(LabPanelContainer *)container didAddLabResultToGroupWithIndex:(NSInteger)index;
-(void)labPanelContainerFinishedLoadingLabResults:(LabPanelContainer *)container;

@end
