//
//  MedicationMain.h
//  PatientViewer
//
//  Created by Grant Oladipo on 4/28/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#include "MedicationMainContainerDelegate.h"

@class MedicationMainContainer;

@interface MedicationMain : UIViewController <MedicationMainContainerDelegate> {
  
	IBOutlet UILabel *titleL;
	IBOutlet UILabel *quantityL;
	IBOutlet UILabel *lastFilledL;
	IBOutlet UILabel *refillsL;
	IBOutlet UILabel *expiresL;
    IBOutlet UILabel *statusL;
    IBOutlet UILabel *orderedL;
    
    IBOutlet UILabel  *quantityHeaderL;
    IBOutlet UILabel  *lastFilledHeaderL;
    IBOutlet UILabel  *refillsHeaderL;   
    
	IBOutlet UITextView *sigTV;
    IBOutlet UITextView *medicationDetailTV;
    
	BOOL shouldRefresh;
    
}

@property (nonatomic, retain) MedicationMainContainer *medicationMainContainer;

-(void)removeData;
-(void)populateData;
-(void)refreshView;

@end