
#import "ResourceManager.h"
#import "MedicationContainer.h"

@class Link;
@class Medication;
@class Patient;


@interface MedicationManager : ResourceManager <NSXMLParserDelegate> {
		
	//Used by parser
	Link *link;
	id parentElement;
	Medication *medication;
	id<MedicationContainer> medicationContainer;
}

+(id)medicationManager;

-(void)activeMedicationsForPatient:(Patient *)patient result:(id<MedicationContainer>)theMedicationContainer;

-(void)outpatientMedicationsforPatient:(Patient *)patient result:(id<MedicationContainer>)theMedicationContainer;

-(void)inpatientMedicationsforPatient:(Patient *)patient result:(id<MedicationContainer>)theMedicationContainer;

-(void)allMedicationsforPatient:(Patient *)patient result:(id <MedicationContainer>)theMedicationContainer;

-(void)getDetailForMedication:(Medication*)theMedication result:(id<MedicationContainer>)theMedicationContainer;

@end