//  PatientPanel.h
//  PatientViewer
//
//  Created by Grant Oladipo on 4/12/11.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxx

#import "PatientPanelContainerDelegate.h"

#define PatientCellIdentifier		@"Patient"
#define NoPatientsCellIdentifier	@"NoResult"

@class PatientPanelContainer;

@interface PatientPanel : UIViewController <PatientPanelContainerDelegate, UITextFieldDelegate, UITableViewDataSource, UITableViewDelegate> {
    
	PatientPanelContainer *patientPanelContainer;
	
	NSUInteger numberOfSections;
}


@property (nonatomic, retain) IBOutlet UITableViewCell *customTVC;
@property (nonatomic, retain) IBOutlet UITableView *listTV;
@property (nonatomic, retain) IBOutlet UILabel *titleL;
//@property (nonatomic, retain) IBOutlet UISearchBar *searchStringSB;
@property (nonatomic, retain) IBOutlet UITextField *searchTF;

-(NSString *)cellIdentifierForContainer:(PatientPanelContainer *)container;
-(void)configureCell:(UITableViewCell *)cell forIndexPath:(NSIndexPath *)indexPath identifier:(NSString *)cellIdentifier;
-(void)performClear;
-(void)performSearch;

-(NSString*)getPatientCellName;
-(NSString*)getNoPatientCellName;


@end