//  Queue.m
//  PatientViewer
//
//  Created by Grant Oladipo on 5/25/11.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxx

#import "Queue.h"

@implementation Queue

NSMutableArray *queueObjects;

-(id)init {
	
	self = [super init];
	
	if (self) {
		queueObjects = [[NSMutableArray alloc] initWithCapacity:1];
	}
	
	return self;
}

-(id)front {
    
	id object = nil;
	
	if ([queueObjects count] > 0) {
		object = [queueObjects objectAtIndex:0];
	}
	
	return object;
}

-(BOOL)isEmpty {

    BOOL result = YES;

    if ([queueObjects count] > 0) {
        result = NO;
    }
    
    return result;
}

-(id)pop {
    
    id object = [self front];
    
	if ([queueObjects count] > 0) {
        [queueObjects removeObjectAtIndex:0];
    }
    
	return object;
}

-(void)push:(id)object {
	
	if (object) {
		[queueObjects addObject:object];
	}
}

-(int)count {
    return (int)[queueObjects count];
}

@end