//  AppDelegate_iPad.m
//  PatientViewer
//
//  Created by Grant Oladipo on 12/14/10.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxxxxxxxxxxxxxxx

#import "AppDelegate_iPad.h"
#import "LoginMain_iPad.h"

@implementation AppDelegate_iPad

@synthesize mainNC;


#pragma mark - Application Lifecycle
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {    

    const int StatusBarHeight = 20;
    
    UIImageView *background = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"gradient-background.png"]];
	
    [self.window addSubview:background];
    [background setFrame:CGRectMake(background.frame.origin.x+StatusBarHeight, background.frame.origin.y, background.frame.size.width, background.frame.size.height)];

	[self.window addSubview:self.mainNC.view];

    [background release];
    
	return [super application:application didFinishLaunchingWithOptions:launchOptions];
}


#pragma mark - Initialization
-(id)init {
	
	self = [super init];
	
	if (self) {
		self.mainNC = [[MainNavigationController alloc] initWithViewMode:MainNavigationViewModeLogin];
	}
	
	return self;
}


#pragma mark - Memory management
- (void)dealloc {
	
	[mainNC release], mainNC = nil;
	
    [super dealloc];
}

@end