//  UIViewController+PatientViewerPad.m
//  PatientViewer
//
//  Created by Grant Oladipo on 2/25/11.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxxxxxxxxxxxxxxx

#import "Clipboard.h"
#import "MainNavigation.h"
#import "CustomCategories_iPad.h"

@implementation UIViewController ( Navigation )


#pragma mark - Internal Definitions
Clipboard *clipboardVC;
MainNavigationController *mainNC;


#pragma mark - Custom Getters
-(Clipboard *)clipboard {
	return clipboardVC;
}

-(MainNavigationController *)mainNavigationController {
	return mainNC;
}


#pragma mark - Custom Setters
-(void)setClipboard:(Clipboard *)clipboard {
	clipboardVC = clipboard;
}

-(void)setMainNavigationController:(MainNavigationController *)mainNavigationController {
	mainNC = mainNavigationController;
}

@end