//
//  DetailLargeViewController.m
//  PatientViewer
//
//  Created by Tea, Matt on 4/25/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "MedicationMain_iPad.h"
#import "Medication.h"
#import "UserSession.h"

@implementation MedicationMain_iPad


#pragma mark - Custom Actions
-(void) hideView {
	self.view.hidden = YES;
}

-(void)showView {
	self.view.hidden = NO;
}

-(void)changeStatusColor {
    Medication *medication = [UserSession selectedMedication];
    
    if ([[medication status] isEqualToString:@"ACTIVE"]) {
        statusL.textColor = [UIColor blackColor];
        statusL.font = [UIFont systemFontOfSize:12.5];
    } else {
        statusL.textColor = [UIColor blueColor];
        statusL.font = [UIFont boldSystemFontOfSize:12.5];
    }
}

#pragma mark - Orientation
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	return UIInterfaceOrientationIsLandscape(interfaceOrientation);
}


#pragma mark - View Lifecycle 
-(void)viewDidLoad {
    [super viewDidLoad];
}

-(void)viewDidUnload {
	[super viewDidUnload];
}

@end