
#import "PatientMain.h"

#define ClinicalDataTableWidth				580
#define HeightForClinicalDataRow			45
#define HeightForClinicalDataSectionTitle	30
#define HeightForDemographicDataRow			17
#define InitialTableViewHeight				HeightForClinicalDataSectionTitle
#define InitialScrollViewContentHeight		306
#define ScrollViewContentWidth				624

@class PatientMainTableViewWrapper;

@interface PatientMain_iPad : PatientMain <UITableViewDataSource, UITableViewDelegate> {

    UITableView *allergyTV;
	//UITableView *medicationTV;
	UITableView *problemTV;
    
    UITableView *inpatientMedicationTV;
    UITableView *outpatientMedicationTV;
    UITableView *nonVAMedicationTV;
    
    BOOL dataRefreshFinished;
}

@property (nonatomic, retain) IBOutlet PatientMainTableViewWrapper *clinicalDataV;
@property (nonatomic, retain) IBOutlet UIView *customHeaderV;
@property (nonatomic, retain) IBOutlet UITableViewCell *customTVC;
@property (nonatomic, retain) IBOutlet UILabel *fullNameL;
@property (nonatomic, retain) IBOutlet UIScrollView *patientDataSV;
@property (nonatomic, retain) IBOutlet UIView *patientDataV;
@property (nonatomic, retain) IBOutlet UIImageView *patientIV;

@property (nonatomic, retain) IBOutlet UILabel *ssnL;
@property (nonatomic, retain) IBOutlet UILabel *dobL;
@property (nonatomic, retain) IBOutlet UILabel *genderL;
@property (nonatomic, retain) IBOutlet UILabel *addressL1;
@property (nonatomic, retain) IBOutlet UILabel *addressL2;
@property (nonatomic, retain) IBOutlet UILabel *phoneL;
@property (nonatomic, retain) IBOutlet UILabel *officeL;
@property (nonatomic, retain) IBOutlet UILabel *cellL;
@property (nonatomic, retain) IBOutlet UILabel *nextOfKinL1;
@property (nonatomic, retain) IBOutlet UILabel *nextOfKinL2;
@property (nonatomic, retain) IBOutlet UILabel *roomL;
@property (nonatomic, retain) IBOutlet UILabel *wardL;
@property (nonatomic, retain) IBOutlet UILabel *roomHeader;
@property (nonatomic, retain) IBOutlet UILabel *wardHeader;


@end