//  SearchPanelViewController_iPad.m
//  PatientViewer
//
//  Created by Matt Tea on 3/10/11.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxxxxxxxxxxxxxxx

#import "Patient.h"
#import "PatientPanelContainer.h"
#import "PatientPanel_iPad.h"
#import "UserSession.h"

@implementation PatientPanel_iPad

#pragma mark - Custom Action
-(NSString*)getPatientCellName {
    return @"PatientCell";
}

-(NSString*)getNoPatientCellName {
    return @"NoPatientCell";
}


-(UIImage*)getSectionHeaderImage {
    return [UIImage imageNamed:@"PatientPanel_iPad-subtitle.png"];
}



#pragma mark - Orientation
-(BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	return UIInterfaceOrientationIsLandscape(interfaceOrientation);
}


#pragma mark - UITableViewDelegate Methods
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {

	[super tableView:tableView didSelectRowAtIndexPath:indexPath];
	
	if ([patientPanelContainer hasPatients]) {
		[UserSession setSelectedPatient:[patientPanelContainer patientAtIndex:indexPath.row]];
	}
}




@end