//  LoginMain_iPhone.m
//  PatientViewer
//
//  Created by Matt Tea on 3/8/11.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxx

#import "LoginMain_iPhone.h"
#import "PatientPanel_iPhone.h"
#import "AppDelegate_iPhone.h"
#import "LoginDisclaimer_iPhone.h"

@implementation LoginMain_iPhone


#pragma mark - Custom Actions
-(void)performLogin {
	
	[super performLogin];
	
	[self dismissModalViewControllerAnimated:NO];
}


-(IBAction)readMore {
	
	[super readMore];
	
    LoginDisclaimer_iPhone *disclaimer = [[LoginDisclaimer_iPhone alloc] initWithNibName:@"LoginDisclaimer_iPhone" bundle:[NSBundle bundleForClass:[self class]]];
    
    [self.navigationController pushViewController:disclaimer animated:YES];    
    [disclaimer release];
}




#pragma mark - Memory Management
-(void)dealloc {
	[super dealloc];
}


#pragma mark - Orientation
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	return UIInterfaceOrientationIsPortrait(interfaceOrientation);
}


#pragma mark - View Lifecycle
-(void)viewDidLoad {
	[super viewDidLoad];
    self.keyboardHeightChange = 40;

    self.title = @"Log In";
}

-(void)viewWillAppear:(BOOL)animated {
    self.navigationController.navigationBarHidden = YES;
}

@end