//
//  SectionHeaderView_iPad.m
//  PatientViewer
//
//  Created by Tea, Matt on 6/9/11.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxxxxxxxxxxxxxxx
//

#import "SectionHeaderView_iPad.h"


@implementation SectionHeaderView_iPad



-(UIImage *)getSectionImage {
    return [UIImage imageNamed:@"PatientPanel_iPad-subtitle.png"];
}


-(UIImage *)getClosedCarat {
    return [UIImage imageNamed:@"LabMain_iPad-arrow-collapsed.png"];
}

-(UIImage *)getOpenCarat {
    return [UIImage imageNamed:@"LabMain_iPad-arrow-expanded.png"];
}

-(UIColor *)getTextColor {
    return [UIColor colorWithRawValuesForRed:24 green:38 blue:86 alpha:1.0];
}

-(UIImage *)getSelectedSectionImage {
    return [UIImage imageNamed:@"PatientPanel_iPad-subtitle-selected.png"];
}


-(void)hideSelectionCover {
    self.imageView.image = [self getSectionImage];
}

-(void)showSelectionCover {
    self.imageView.image = [self getSelectedSectionImage];
}

-(void)createDisclosureButton {
    
    self.disclosureButton = [[UIButton buttonWithType:UIButtonTypeCustom] retain];
    self.disclosureButton.frame = CGRectMake(0.0, 0.0, 30.0, 30.0);
    [self.disclosureButton setImage:[self getClosedCarat] forState:UIControlStateNormal];
    [self.disclosureButton setImage:[self getOpenCarat] forState:UIControlStateSelected];
    [self.disclosureButton addTarget:self action:@selector(toggleOpen:) forControlEvents:UIControlEventTouchUpInside];
    [self.disclosureButton setSelected:YES];
}

@end
