//
//  SectionHeaderView_iPhone.m
//  PatientViewer
//
//  Created by Tea, Matt on 6/9/11.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxxxxxxxxxxxxxxx
//

#import "SectionHeaderView_iPhone.h"


@implementation SectionHeaderView_iPhone

-(UIImage *)getSectionImage {
    return [UIImage imageNamed:@"LabPanel_iPhone-lab-results-details-table-header-bg.png"];
}

-(UIImage *)getClosedCarat {
    return [UIImage imageNamed:@"LabPanel_iPhone-arrow-collapse.png"];
}

-(UIImage *)getOpenCarat {
    return [UIImage imageNamed:@"LabPanel_iPhone-arrow-expand.png"];
}

-(UIColor *)getTextColor {
    return [UIColor whiteColor];
}

-(void)showSelectionCover {
    self.selectionCover.hidden = NO;
}

-(void)hideSelectionCover {
    self.selectionCover.hidden = YES;
}

-(void)createDisclosureButton {
    self.disclosureButton = [[UIButton buttonWithType:UIButtonTypeCustom] retain];
    self.disclosureButton.frame = CGRectMake(8.0, 7.0, 15.0, 15.0);
    [self.disclosureButton setImage:[self getClosedCarat] forState:UIControlStateNormal];
    [self.disclosureButton setImage:[self getOpenCarat] forState:UIControlStateSelected];
    [self.disclosureButton addTarget:self action:@selector(toggleOpen:) forControlEvents:UIControlEventTouchUpInside];
    [self.disclosureButton setSelected:YES];
}

@end
