//
//  Demographics.h
//  PatientViewer
//
//  Created by Grant Oladipo on 2/10/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Resource.h"

//Property keys
#define DemographicsAddressKey				@"address"
#define DemographicsNextOfKinKey			@"nextOfKin"
#define DemographicsPhoneNumberHomeKey	@"phoneNumberHome"
#define DemographicsPhoneNumberMobileKey	@"phoneNumberMobile"
#define DemographicsPhoneNumberWorkKey	@"phoneNumberWork"


@class Address;
@class NextOfKin;

@interface Demographics : Resource {
}

@property (nonatomic, assign) Address *address;
@property (nonatomic, assign) NextOfKin *nextOfKin;

-(NSString *)phoneNumberMobile;
-(NSString *)phoneNumberHome;
-(NSString *)phoneNumberWork;

@end