//
//  Link.m
//  iOSiCADLibrary
//
//  Created by Grant Oladipo on 12/21/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "Link.h"

@implementation Link

-(id)noPropertyValue {
	return @"";
}

-(NSString *)title {
	return [self propertyValueForKey:AtomLinkTitleKey];
}

-(NSURL *)href {
	return [NSURL URLWithString:[self propertyValueForKey:AtomLinkHrefKey]];
}

-(NSString *)rel {
	return [self propertyValueForKey:AtomLinkRelKey];
}

-(NSString *)key {
	
	NSString *rel = self.rel;
	NSString *title = self.title;
	
	NSString *key = [NSString stringWithFormat:@"%@%@%@", rel, (rel != @"" && title != @"" ? @"/" : @"") , title];
	
	return key;
}

@end