/*
 *  PatientSummaryContainerDelegate.h
 *  MobileHealthiOSPlatformLibrary
 *
 *  Created by Grant Oladipo on 1/28/11.
 *  Copyright 2011 __MyCompanyName__. All rights reserved.
 *
 */

@class LabMainContainer;

@protocol LabMainContainerDelegate <NSObject>

@required
-(void)labTestGraphContainerHasLoadedLabResults:(LabMainContainer *)container;

-(void)labTestGraphContainerDidChangeCurrentRange:(LabMainContainer *)container;

-(void)labTestGraphContainerHasLoadedAllMedications:(LabMainContainer *)container;

@optional
-(void)labTestGraphContainerHasLoadedInpatientMedications:(LabMainContainer *)container;

-(void)labTestGraphContainerHasLoadedOutpatientMedications:(LabMainContainer *)container;

@end