//
//  LabTestGroupManager.h
//  PatientViewer
//
//  Created by Tea, Matt on 5/9/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "LabTestGroupContainer.h"
#import "ResourceContainer.h"
#import "ResourceManager.h"

@class LabTest;
@class LabTestGroup;
@class LabResult;
@class Link;
@class Patient;

@interface LabTestGroupManager : ResourceManager {
    
	//XML Parser
	Link *link;
	id parentElement;
	LabTest *labTest;
	LabResult *labResult;
	LabTestGroup *labTestGroup;
    
	//Result
	id<LabTestGroupContainer> labTestGroupContainer;
}


+(id)labTestGroupManager;
-(void)labTestsWithGroupsForPatient:(Patient *)patient result:(id<LabTestGroupContainer>)theLabTestGroupContainer;

@end
