//
//  LabManager.h
//
//  Created by Grant Oladipo on 12/15/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "LabTestContainer.h"
#import "ResourceContainer.h"
#import "ResourceManager.h"

@class LabTest;
@class LabResult;
@class Link;
@class Patient;
@class PatientMainContainer;


@interface LabTestManager : ResourceManager {
		
	//XML Parser
	Link *link;
	id parentElement;
	LabTest *labTest;
	LabResult *labResult;
	
	//Result
	id<LabTestContainer> labTestContainer;
}

+(id)labTestManager;
-(void)labTestsForPatient:(Patient *)patient result:(id<LabTestContainer>)theLabTestContainer;

@end