//  Protocol.h
//  MedicationViewer
//
//  Created by Grant Oladipo on 4/27/11.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxx

@class MedicationPanelContainer;

@protocol MedicationPanelContainerDelegate <NSObject>

@required
-(void)medicationPanelContainerWillAddInpatientMedication:(MedicationPanelContainer *)container;

-(void)medicationPanelContainer:(MedicationPanelContainer *)container 
		didAddInpatientMedicationAtIndex:(NSInteger)index;

-(void)medicationPanelContainerFinishedLoadingInpatientMedications:(MedicationPanelContainer *)container;





-(void)medicationPanelContainerWillAddOutpatientMedication:(MedicationPanelContainer *)container;

-(void)medicationPanelContainer:(MedicationPanelContainer *)container 
		didAddOutpatientMedicationAtIndex:(NSInteger)index;

-(void)medicationPanelContainerFinishedLoadingOutpatientMedications:(MedicationPanelContainer *)container;




-(void)medicationPanelContainerWillAddNonVAMedication:(MedicationPanelContainer *)container;

-(void)medicationPanelContainer:(MedicationPanelContainer *)container 
		didAddNonVAMedicationAtIndex:(NSInteger)index;

-(void)medicationPanelContainerFinishedLoadingNonVAMedications:(MedicationPanelContainer *)container;




-(void)medicationPanelContainerFinishedLoadingMedications:(MedicationPanelContainer *)container;

@end