//
//  MicroLabResultsManager.h
//  PatientViewer
//
//  Created by Tea, Matt on 10/4/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "ResourceManager.h"
#import "LabResultContainer.h"
#import "LabPanelContainerDelegate.h"
#import "Patient.h"

@class LabTest;
@class LabResult;
@class Link;

@interface MicroLabResultsManager : ResourceManager {

    Link *link;
    id parentElement;
    LabResult *labResult;
    id<LabResultContainer> labResultContainer;
    id<LabPanelContainerDelegate> labPanelContainer;

}

+(id)microLabResultsManager;
-(void)microbiologyLabResultsForPatient:(Patient *)patient result:(id<LabResultContainer>)theLabResultContainer;

@end