@class PatientMainContainer;

@protocol PatientMainContainerDelegate <NSObject>

@optional
-(void)patientMainContainerWillChangeDemographics:(PatientMainContainer *)container;
-(void)patientMainContainerDidChangeDemographics:(PatientMainContainer *)container;
-(void)patientMainContainerFinishedLoadingDemographics:(PatientMainContainer *)container;

-(void)patientMainContainerWillChangePatientImage:(PatientMainContainer *)container;
-(void)patientMainContainerDidChangePatientImage:(PatientMainContainer *)container;

-(void)patientMainContainerWillAddAllergy:(PatientMainContainer *)container;
-(void)patientMainContainer:(PatientMainContainer *)container didAddAllergyAtIndex:(NSInteger)index;
-(void)patientMainContainerFinishedLoadingAllergies:(PatientMainContainer *)container;

-(void)patientMainContainerWillAddInpatientMedication:(PatientMainContainer *)container;
-(void)patientMainContainer:(PatientMainContainer *)container didAddInpatientMedicationAtIndex:(NSInteger)index;
-(void)patientMainContainerFinishedLoadingInpatientMedications:(PatientMainContainer *)container;

-(void)patientMainContainerWillAddOutpatientMedication:(PatientMainContainer *)container;
-(void)patientMainContainer:(PatientMainContainer *)container didAddOutpatientMedicationAtIndex:(NSInteger)index;
-(void)patientMainContainerFinishedLoadingOutpatientMedications:(PatientMainContainer *)container;

-(void)patientMainContainerWillAddNonVAMedication:(PatientMainContainer *)container;
-(void)patientMainContainer:(PatientMainContainer *)container didAddNonVAMedicationAtIndex:(NSInteger)index;
-(void)patientMainContainerFinishedLoadingNonVAMedications:(PatientMainContainer *)container;

-(void)patientMainContainerWillAddMedication:(PatientMainContainer *)container;
-(void)patientMainContainer:(PatientMainContainer *)container didAddMedicationAtIndex:(NSInteger)index;
-(void)patientMainContainerFinishedLoadingMedications:(PatientMainContainer *)container;

-(void)patientMainContainerWillAddProblem:(PatientMainContainer *)container;
-(void)patientMainContainer:(PatientMainContainer *)container didAddProblemAtIndex:(NSInteger)index;
-(void)patientMainContainerFinishedLoadingProblems:(PatientMainContainer *)container;

@end