//  LabPanelContainer.h
//	PatientViewer
//
//  Created by Grant Oladipo on 12/15/10.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxx

#import "PatientManager.h"
#import "Resource.h"
#import "PatientPanelContainerDelegate.h"

@class Patient;

@interface PatientPanelContainer : Resource <PatientContainer> {

	NSString *searchString;
	NSMutableArray *patients;
}

@property (nonatomic, assign) id<PatientPanelContainerDelegate> delegate;
@property (nonatomic) NSInteger totalNumberOfPatients;

-(BOOL)hasPatients;
-(NSInteger)numberOfPatients;
-(Patient *)patientAtIndex:(NSInteger)index;
-(NSString *)searchString;
-(void)removeAllObjects;
-(void)refreshWithSearchString:(NSString *)theSearchString;
-(id)initWithDelegate:(id<PatientPanelContainerDelegate>)theDelegate;

@end