//
//  main.m
//  PatientViewer
//
//  Created by Grant Oladipo on 12/14/10.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxx
//

#ifdef FRANK
#include "FrankServer.h"
static FrankServer *sFrankServer;
#endif

int main(int argc, char *argv[]) {
    
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
	
#ifdef FRANK
	sFrankServer = [[FrankServer alloc] initWithDefaultBundle];
	[sFrankServer startServer];
#endif
	
	int retVal;
	if ([UIDevice currentDevice].userInterfaceIdiom == UIUserInterfaceIdiomPad) {
		retVal = UIApplicationMain(argc, argv, nil,@"AppDelegate_iPad");
	} else {
		retVal = UIApplicationMain(argc, argv, nil,@"AppDelegate_iPhone");
	}
	
    [pool release];
    return retVal;
}