//  LoginMain_iPad.m
//  PatientViewer
//
//  Created by Matt Tea on 3/10/11.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxx

#import "MedicationPanel_iPad.h"
#import "LoginMain_iPad.h"
#import "PatientMain_iPad.h"
#import "PatientPanel_iPad.h"
#import "LoginDisclaimer_iPad.h"


@implementation LoginMain_iPad


#pragma mark - Custom Actions
-(void)performLogin {
	
	[super performLogin];
	
	[[self mainNavigationController] setViewMode:MainNavigationViewModePatient animated:NO];
}

-(void)registerForNotifications {
	
	NSNotificationCenter *defaultNC = [NSNotificationCenter defaultCenter];
	

	[defaultNC addObserver:self selector:@selector(keyboardWillAppear:) name:UIKeyboardWillShowNotification object:nil];
	[defaultNC addObserver:self selector:@selector(keyboardWillDisappear:) name:UIKeyboardWillHideNotification object:nil];
}

-(void)unregisterFromNotifications {
    
	[[NSNotificationCenter defaultCenter] removeObserver:self];
}

-(IBAction)readMore {
    
	[super readMore];
	
    [[self mainNavigationController] showDisclaimer];
}



#pragma mark - Orientation
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	return UIInterfaceOrientationIsLandscape(interfaceOrientation);
}


#pragma mark - View Lifecycle
-(void)viewDidLoad {	
	[super viewDidLoad];
    self.keyboardHeightChange = 175;
}

@end