//  NavigationSideBarViewController.m
//  PatientViewer
//
//  Created by Grant Oladipo on 4/20/11.
//  xxxxxxxxx xxxx xxxxxxx xxx xxxxxx xxxxxxxxxxxxxxxxxxxxxx


#import "NavigationSideBar.h"
#import "PatientMainContainer.h"
#import "MedicationMain_iPad.h"
#import "MedicationPanel_iPad.h"
#import "PatientMain_iPad.h"
#import "UserSession.h"

@implementation NavigationSideBar


#pragma mark - Custom Actions
-(IBAction)showPatientSearch {
    [currentlySelected setSelected:NO];
    [searchB setSelected:YES];
    currentlySelected = searchB;
	
    [[self mainNavigationController] setViewMode:MainNavigationViewModePatient animated:NO];
}

-(IBAction)showPatientSummary {
    [currentlySelected setSelected:NO];
    [summaryB setSelected:YES];
    currentlySelected = summaryB;
    
	[[self mainNavigationController] setViewMode:MainNavigationViewModePatient animated:NO];
}

-(IBAction)showMedication {
    if ([UserSession selectedPatient] != nil) { 
        
        [currentlySelected setSelected:NO];
        [medicationB setSelected:YES];
        currentlySelected = medicationB;
    
        [[self mainNavigationController] setViewMode:MainNavigationViewModeMedication animated:NO];
    }
}

-(IBAction)showLabViewer {
    if ([UserSession selectedPatient] != nil) { 

        [currentlySelected setSelected:NO];
        [labB setSelected:YES];
        currentlySelected = labB;
    
        [[self mainNavigationController] setViewMode:MainNavigationViewModeLabTest animated:NO];
    }
}


#pragma mark - Orientation
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	return UIInterfaceOrientationIsLandscape(interfaceOrientation);
}


#pragma mark - View Lifecycle
- (void)viewDidLoad { 

    [super viewDidLoad];
	
	[searchB setSelected:YES];
	currentlySelected = searchB;
}

@end