/*!
 */

#import "PatientMain.h"

@class Patient;
@class PatientSubheaderView;


typedef enum {	
	PatientSummaryAllergyDomain=2,
	PatientSummaryDemographicsDomain=0,
	PatientSummaryMedicationDomain=3,
	PatientSummaryProblemDomain=1
} PatientSummaryDomain;

typedef enum {
    DemographicsCellRowAddress = 0,
    DemographicsCellRowPhone = 1,
    DemographicsCellRowOffice = 2,
    DemographicsCellRowCellPhone = 3,
    DemographicsCellRowNextOfKin =4
} DemographicsCellRow;


@interface PatientMain_iPhone : PatientMain <UINavigationControllerDelegate> {
    BOOL shouldRefresh;

    IBOutlet UILabel *ssnL;
    IBOutlet UILabel *dobL;
    IBOutlet UILabel *genderL;
    IBOutlet UILabel *nameL;
    
    IBOutlet UIButton *problemB;
    IBOutlet UIButton *allergyB;
    IBOutlet UIButton *medicationB;
    
    IBOutlet UILabel *problemNumL;
    IBOutlet UILabel *allergyNumL;
    IBOutlet UILabel *medicationNumL;
    
    IBOutlet UIImageView *problemIV;
    IBOutlet UIImageView *allergyIV;
    IBOutlet UIImageView *medicationIV;
    
    IBOutlet UILabel *addressL;
    IBOutlet UILabel *address2L;
    IBOutlet UILabel *phoneL;
    IBOutlet UILabel *officeL;
    IBOutlet UILabel *cellL;
    IBOutlet UILabel *nextOfKinL;
    IBOutlet UILabel *nextOfKinPhoneL;
    
    IBOutlet UILabel *wardHeaderL;
    IBOutlet UILabel *roomHeaderL;
    
    IBOutlet UILabel *roomL;
    IBOutlet UILabel *wardL;
    
    BOOL hasAllergySet;
    BOOL hasProblemSet;
    BOOL hasMedicationSet;
    
}

-(void)drawUnderlineForLabel:(UILabel *)label;
-(void)makeCallToNumberString:(UITapGestureRecognizer *)gestureRecognizer;

-(void)refresh;

-(IBAction)buttonSelected:(id)sender;
-(IBAction)buttonHighlighted:(id)sender;


@end